Bug 188488 - RHEL3: "sfdisk -l" tries to open partitions
Summary: RHEL3: "sfdisk -l" tries to open partitions
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: util-linux   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2006-04-10 15:54 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2006-0456
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-20 14:48:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
util-linux-sfdisk-dont-open-partitions.patch (3.13 KB, patch)
2006-04-10 15:54 UTC, Bastien Nocera
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0456 normal SHIPPED_LIVE util-linux and mount bug fix update 2006-07-19 18:48:00 UTC

Description Bastien Nocera 2006-04-10 15:54:14 UTC
Doing an "sfdisk -l" will try to open partitions as if they were disks, and fail
to read the partition table.

Patch attached. It makes use of the same is_probably_full_disk() as fdisk.

Comment 1 Bastien Nocera 2006-04-10 15:54:17 UTC
Created attachment 127554 [details]
util-linux-sfdisk-dont-open-partitions.patch

Comment 9 Red Hat Bugzilla 2006-07-20 14:48:07 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0456.html



Note You need to log in before you can comment on or make changes to this bug.